<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
<html><head><title>
Xv Manual: Conclusion
</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta http-equiv="Content-Style-Type" content="text/css">
<link rel="stylesheet" title="Default" type="text/css" href="allegro.css"></head><body bgcolor=white text=black link="#0000ee" alink="#ff0000" vlink="#551a8b">
<h1><a name="Conclusion">Conclusion</a></h1>

<p>
All good things must come to an end. Writing documentation is not a good 
thing, though, and that means it goes on for ever. There is always something 
I've forgotten to explain, or some essential detail I've left out, but for 
now you will have to make do with this. Feel free to ask if you can't figure 
something out.

<p>
Enjoy. I hope you find some of this stuff useful.


<p><br>
By Shawn Hargreaves.

<p>
<a href="http://alleg.sourceforge.net/">http://alleg.sourceforge.net/</a>



<p><br>
<div class='mini_toc' id='top'>
	<a href='#mini_toc_O0'>O</a>
	<a href='#mini_toc_a1'>a</a>
	<a href='#mini_toc_b1'>b</a>
	<a href='#mini_toc_c1'>c</a>
	<a href='#mini_toc_d1'>d</a>
	<a href='#mini_toc_e1'>e</a>
	<a href='#mini_toc_f1'>f</a>
	<a href='#mini_toc_g1'>g</a>
	<a href='#mini_toc_i1'>i</a>
	<a href='#mini_toc_l1'>l</a>
	<a href='#mini_toc_m1'>m</a>
	<a href='#mini_toc_n1'>n</a>
	<a href='#mini_toc_p1'>p</a>
	<a href='#mini_toc_r1'>r</a>
	<a href='#mini_toc_s1'>s</a>
	<a href='#mini_toc_u1'>u</a>
	<a href='#mini_toc_w1'>w</a>
	<a href='#mini_toc_x1'>x</a>
	<a href='#mini_toc_y1'>y</a>
	
</div>

<h1 class='mini_toc' id='mini_toc_O0'><a href='#top'>O</a></h1>
<ul>
<li><a href="xvin004.html#O_i">O_i</a> 
<li><a href="xvin002.html#O_p">O_p</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_a1'><a href='#top'>a</a></h1>
<ul>
<li><a href="xvin003.html#add_data">add_data</a> 
<li><a href="xvin002.html#add_data_to_one_plot">add_data_to_one_plot</a> 
<li><a href="xvin003.html#add_data_to_pltreg">add_data_to_pltreg</a> 
<li><a href="xvin002.html#add_ds_to_op">add_ds_to_op</a> 
<li><a href="xvin004.html#add_image">add_image</a> 
<li><a href="xvin000.html#add_new_point_to_ds">add_new_point_to_ds</a> 
<li><a href="xvin001.html#add_new_units">add_new_units</a> 
<li><a href="xvin004.html#add_one_image">add_one_image</a> 
<li><a href="xvin002.html#add_one_plot_data">add_one_plot_data</a> 
<li><a href="xvin002.html#add_plot_label_to_op">add_plot_label_to_op</a> 
<li><a href="xvin002.html#add_t_unit_set_to_op">add_t_unit_set_to_op</a> 
<li><a href="xvin000.html#add_to_data_set">add_to_data_set</a> 
<li><a href="xvin004.html#add_to_image">add_to_image</a> 
<li><a href="xvin004.html#add_to_one_image">add_to_one_image</a> 
<li><a href="xvin002.html#add_x_unit_set_to_op">add_x_unit_set_to_op</a> 
<li><a href="xvin002.html#add_y_unit_set_to_op">add_y_unit_set_to_op</a> 
<li><a href="xvin004.html#affine_transform_all_image_unitset">affine_transform_all_image_unitset</a> 
<li><a href="xvin002.html#affine_transform_all_plot_unitset">affine_transform_all_plot_unitset</a> 
<li><a href="xvin000.html#alloc_data_set_x_error">alloc_data_set_x_error</a> 
<li><a href="xvin000.html#alloc_data_set_y_error">alloc_data_set_y_error</a> 
<li><a href="xvin004.html#alloc_image">alloc_image</a> 
<li><a href="xvin004.html#alloc_one_image">alloc_one_image</a> 
<li><a href="xvin004.html#alloc_over_plane">alloc_over_plane</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_b1'><a href='#top'>b</a></h1>
<ul>
<li><a href="xvin000.html#build_adjust_data_set">build_adjust_data_set</a> 
<li><a href="xvin004.html#build_an_empty_image_region">build_an_empty_image_region</a> 
<li><a href="xvin000.html#build_data_set">build_data_set</a> 
<li><a href="xvin004.html#build_image_region">build_image_region</a> 
<li><a href="xvin003.html#build_plot_region">build_plot_region</a> 
<li><a href="xvin001.html#build_unit_set">build_unit_set</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_c1'><a href='#top'>c</a></h1>
<ul>
<li><a href="xvin004.html#cdbl_line_ptr">cdbl_line_ptr</a> 
<li><a href="xvin004.html#cflt_line_ptr">cflt_line_ptr</a> 
<li><a href="xvin001.html#change_decade">change_decade</a> 
<li><a href="xvin003.html#change_label">change_label</a> 
<li><a href="xvin004.html#close_movie_on_disk">close_movie_on_disk</a> 
<li><a href="xvin001.html#compare_units">compare_units</a> 
<li><a href="xvin004.html#create_and_attach_ds_to_oi">create_and_attach_ds_to_oi</a> 
<li><a href="xvin004.html#create_and_attach_label_to_oi">create_and_attach_label_to_oi</a> 
<li><a href="xvin004.html#create_and_attach_movie_to_imr">create_and_attach_movie_to_imr</a> 
<li><a href="xvin004.html#create_and_attach_oi_to_imr">create_and_attach_oi_to_imr</a> 
<li><a href="xvin002.html#create_and_attach_one_ds">create_and_attach_one_ds</a> 
<li><a href="xvin003.html#create_and_attach_one_plot">create_and_attach_one_plot</a> 
<li><a href="xvin004.html#create_and_attach_op_to_oi">create_and_attach_op_to_oi</a> 
<li><a href="xvin004.html#create_and_attach_unit_set_to_oi">create_and_attach_unit_set_to_oi</a> 
<li><a href="xvin002.html#create_attach_select_t_un_to_op">create_attach_select_t_un_to_op</a> 
<li><a href="xvin002.html#create_attach_select_x_un_to_op">create_attach_select_x_un_to_op</a> 
<li><a href="xvin002.html#create_attach_select_y_un_to_op">create_attach_select_y_un_to_op</a> 
<li><a href="xvin004.html#create_imreg_with_movie">create_imreg_with_movie</a> 
<li><a href="xvin004.html#create_one_image">create_one_image</a> 
<li><a href="xvin004.html#create_one_movie">create_one_movie</a> 
<li><a href="xvin002.html#create_one_plot">create_one_plot</a> 
<li><a href="xvin000.html#create_plot_label">create_plot_label</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_d1'><a href='#top'>d</a></h1>
<ul>
<li><a href="xvin000.html#d_s">d_s</a> 
<li><a href="xvin004.html#dbl_line_ptr">dbl_line_ptr</a> 
<li><a href="xvin003.html#display_plot_region">display_plot_region</a> 
<li><a href="xvin003.html#do_it_one_plot">do_it_one_plot</a> 
<li><a href="xvin002.html#do_it_one_plot_op">do_it_one_plot_op</a> 
<li><a href="xvin004.html#do_one_image">do_one_image</a> 
<li><a href="xvin003.html#do_one_plot">do_one_plot</a> 
<li><a href="xvin003.html#drag_label">drag_label</a> 
<li><a href="xvin003.html#draw_box">draw_box</a> 
<li><a href="xvin004.html#draw_box_im">draw_box_im</a> 
<li><a href="xvin004.html#draw_box_imr_plot">draw_box_imr_plot</a> 
<li><a href="xvin000.html#ds_duplicate_use">ds_duplicate_use</a> 
<li><a href="xvin000.html#ds_free_use">ds_free_use</a> 
<li><a href="xvin000.html#ds_special_2_use">ds_special_2_use</a> 
<li><a href="xvin000.html#ds_use_2_special">ds_use_2_special</a> 
<li><a href="xvin000.html#duplicate_data_set">duplicate_data_set</a> 
<li><a href="xvin004.html#duplicate_image">duplicate_image</a> 
<li><a href="xvin002.html#duplicate_plot_data">duplicate_plot_data</a> 
<li><a href="xvin000.html#duplicate_plot_label">duplicate_plot_label</a> 
<li><a href="xvin001.html#duplicate_unit_set">duplicate_unit_set</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_e1'><a href='#top'>e</a></h1>
<ul>
<li><a href="xvin003.html#erase_box">erase_box</a> 
<li><a href="xvin004.html#erase_imr_box">erase_imr_box</a> 
<li><a href="xvin004.html#extract_line">extract_line</a> 
<li><a href="xvin004.html#extract_raw_line">extract_raw_line</a> 
<li><a href="xvin004.html#extract_raw_row">extract_raw_row</a> 
<li><a href="xvin004.html#extract_raw_tilted_profile">extract_raw_tilted_profile</a> 
<li><a href="xvin004.html#extract_row">extract_row</a> 
<li><a href="xvin004.html#extract_tilted_profile">extract_tilted_profile</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_f1'><a href='#top'>f</a></h1>
<ul>
<li><a href="xvin004.html#fast_interpolate_image_point">fast_interpolate_image_point</a> 
<li><a href="xvin003.html#fft_fil_inc_outc">fft_fil_inc_outc</a> 
<li><a href="xvin003.html#fft_fil_inr_outc">fft_fil_inr_outc</a> 
<li><a href="xvin003.html#fft_fil_inr_outr">fft_fil_inr_outr</a> 
<li><a href="xvin004.html#find_CTRL_Z_offset">find_CTRL_Z_offset</a> 
<li><a href="xvin003.html#find_box_scale">find_box_scale</a> 
<li><a href="xvin003.html#find_cur_data_set">find_cur_data_set</a> 
<li><a href="xvin004.html#find_im_cur_oi">find_im_cur_oi</a> 
<li><a href="xvin004.html#find_im_cur_op">find_im_cur_op</a> 
<li><a href="xvin004.html#find_imr_in_current_dialog">find_imr_in_current_dialog</a> 
<li><a href="xvin004.html#find_oi_cur_op">find_oi_cur_op</a> 
<li><a href="xvin004.html#find_op_nb_of_source_specific_ds_in_oi">find_op_nb_of_source_specific_ds_in_oi</a> 
<li><a href="xvin003.html#find_op_nb_of_source_specific_ds_in_pr">find_op_nb_of_source_specific_ds_in_pr</a> 
<li><a href="xvin004.html#find_op_nb_of_treatement_specific_ds_in_oi">find_op_nb_of_treatement_specific_ds_in_oi</a> 
<li><a href="xvin003.html#find_op_nb_of_treatement_specific_ds_in_pr">find_op_nb_of_treatement_specific_ds_in_pr</a> 
<li><a href="xvin003.html#find_pr_in_current_dialog">find_pr_in_current_dialog</a> 
<li><a href="xvin002.html#find_source_specific_ds_in_op">find_source_specific_ds_in_op</a> 
<li><a href="xvin003.html#find_source_specific_ds_in_pr">find_source_specific_ds_in_pr</a> 
<li><a href="xvin002.html#find_treatement_specific_ds_in_op">find_treatement_specific_ds_in_op</a> 
<li><a href="xvin002.html#find_x_limits">find_x_limits</a> 
<li><a href="xvin002.html#find_y_limits">find_y_limits</a> 
<li><a href="xvin004.html#find_zmin_zmax">find_zmin_zmax</a> 
<li><a href="xvin004.html#flt_line_ptr">flt_line_ptr</a> 
<li><a href="xvin000.html#free_data_set">free_data_set</a> 
<li><a href="xvin000.html#free_data_set_x_error">free_data_set_x_error</a> 
<li><a href="xvin000.html#free_data_set_y_error">free_data_set_y_error</a> 
<li><a href="xvin004.html#free_image_region">free_image_region</a> 
<li><a href="xvin004.html#free_one_image">free_one_image</a> 
<li><a href="xvin002.html#free_one_plot">free_one_plot</a> 
<li><a href="xvin000.html#free_plot_label">free_plot_label</a> 
<li><a href="xvin003.html#free_plot_region">free_plot_region</a> 
<li><a href="xvin001.html#free_unit_set">free_unit_set</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_g1'><a href='#top'>g</a></h1>
<ul>
<li><a href="xvin001.html#generate_units">generate_units</a> 
<li><a href="xvin001.html#get_afine_param_from_unit">get_afine_param_from_unit</a> 
<li><a href="xvin004.html#get_cflt_pixel">get_cflt_pixel</a> 
<li><a href="xvin004.html#get_dbl_pixel">get_dbl_pixel</a> 
<li><a href="xvin000.html#get_ds_history">get_ds_history</a> 
<li><a href="xvin000.html#get_ds_line_color">get_ds_line_color</a> 
<li><a href="xvin000.html#get_ds_nx">get_ds_nx</a> 
<li><a href="xvin000.html#get_ds_ny">get_ds_ny</a> 
<li><a href="xvin000.html#get_ds_point_symbol">get_ds_point_symbol</a> 
<li><a href="xvin000.html#get_ds_source">get_ds_source</a> 
<li><a href="xvin000.html#get_ds_treatement">get_ds_treatement</a> 
<li><a href="xvin000.html#get_ds_x_point">get_ds_x_point</a> 
<li><a href="xvin000.html#get_ds_x_ptr">get_ds_x_ptr</a> 
<li><a href="xvin000.html#get_ds_y_point">get_ds_y_point</a> 
<li><a href="xvin000.html#get_ds_y_ptr">get_ds_y_ptr</a> 
<li><a href="xvin004.html#get_flt_pixel">get_flt_pixel</a> 
<li><a href="xvin004.html#get_lint_pixel">get_lint_pixel</a> 
<li><a href="xvin004.html#get_oi_filename">get_oi_filename</a> 
<li><a href="xvin004.html#get_oi_history">get_oi_history</a> 
<li><a href="xvin004.html#get_oi_mode">get_oi_mode</a> 
<li><a href="xvin004.html#get_oi_path">get_oi_path</a> 
<li><a href="xvin004.html#get_oi_periodicity_in_x">get_oi_periodicity_in_x</a> 
<li><a href="xvin004.html#get_oi_periodicity_in_y">get_oi_periodicity_in_y</a> 
<li><a href="xvin004.html#get_oi_plot_axes">get_oi_plot_axes</a> 
<li><a href="xvin004.html#get_oi_region_of_interest_in_pixel">get_oi_region_of_interest_in_pixel</a> 
<li><a href="xvin004.html#get_oi_source">get_oi_source</a> 
<li><a href="xvin004.html#get_oi_title">get_oi_title</a> 
<li><a href="xvin004.html#get_oi_treatement">get_oi_treatement</a> 
<li><a href="xvin004.html#get_oi_type">get_oi_type</a> 
<li><a href="xvin004.html#get_oi_x_title">get_oi_x_title</a> 
<li><a href="xvin004.html#get_oi_x_top_title">get_oi_x_top_title</a> 
<li><a href="xvin004.html#get_oi_x_unit_name">get_oi_x_unit_name</a> 
<li><a href="xvin004.html#get_oi_y_right_title">get_oi_y_right_title</a> 
<li><a href="xvin004.html#get_oi_y_title">get_oi_y_title</a> 
<li><a href="xvin004.html#get_oi_y_unit_name">get_oi_y_unit_name</a> 
<li><a href="xvin004.html#get_oi_z_unit_name">get_oi_z_unit_name</a> 
<li><a href="xvin002.html#get_op_cur_ds">get_op_cur_ds</a> 
<li><a href="xvin002.html#get_op_filename">get_op_filename</a> 
<li><a href="xvin002.html#get_op_height">get_op_height</a> 
<li><a href="xvin002.html#get_op_path">get_op_path</a> 
<li><a href="xvin002.html#get_op_width">get_op_width</a> 
<li><a href="xvin000.html#get_pl_text">get_pl_text</a> 
<li><a href="xvin000.html#get_pl_x">get_pl_x</a> 
<li><a href="xvin000.html#get_pl_y">get_pl_y</a> 
<li><a href="xvin004.html#get_raw_pixel_value">get_raw_pixel_value</a> 
<li><a href="xvin004.html#get_rgb_pixel">get_rgb_pixel</a> 
<li><a href="xvin004.html#get_rgba_pixel">get_rgba_pixel</a> 
<li><a href="xvin004.html#get_sint_pixel">get_sint_pixel</a> 
<li><a href="xvin004.html#get_uchar_pixel">get_uchar_pixel</a> 
<li><a href="xvin004.html#get_uint_pixel">get_uint_pixel</a> 
<li><a href="xvin001.html#get_unit_axis">get_unit_axis</a> 
<li><a href="xvin001.html#get_unit_decade">get_unit_decade</a> 
<li><a href="xvin001.html#get_unit_increment">get_unit_increment</a> 
<li><a href="xvin001.html#get_unit_mode">get_unit_mode</a> 
<li><a href="xvin001.html#get_unit_name">get_unit_name</a> 
<li><a href="xvin001.html#get_unit_offset">get_unit_offset</a> 
<li><a href="xvin001.html#get_unit_sub_type">get_unit_sub_type</a> 
<li><a href="xvin001.html#get_unit_type">get_unit_type</a> 
<li><a href="xvin004.html#get_z_black_z_white_values">get_z_black_z_white_values</a> 
<li><a href="xvin004.html#get_zmin_zmax_values">get_zmin_zmax_values</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_i1'><a href='#top'>i</a></h1>
<ul>
<li><a href="xvin004.html#image_data">image_data</a> 
<li><a href="xvin004.html#imreadfile">imreadfile</a> 
<li><a href="xvin004.html#imreg">imreg</a> 
<li><a href="xvin000.html#inherit_from_ds_to_ds">inherit_from_ds_to_ds</a> 
<li><a href="xvin000.html#inherit_from_ds_to_ds">inherit_from_ds_to_ds</a> 
<li><a href="xvin004.html#inherit_from_im_to_ds">inherit_from_im_to_ds</a> 
<li><a href="xvin004.html#inherit_from_im_to_im">inherit_from_im_to_im</a> 
<li><a href="xvin004.html#inherit_from_oi_to_ds">inherit_from_oi_to_ds</a> 
<li><a href="xvin004.html#inherit_from_oi_to_oi">inherit_from_oi_to_oi</a> 
<li><a href="xvin004.html#init_one_image">init_one_image</a> 
<li><a href="xvin002.html#init_one_plot">init_one_plot</a> 
<li><a href="xvin003.html#interp">interp</a> 
<li><a href="xvin004.html#interpolate_RGB_picture_point">interpolate_RGB_picture_point</a> 
<li><a href="xvin004.html#interpolate_image_point">interpolate_image_point</a> 
<li><a href="xvin004.html#is_oi_bottom_left_axes_in_pixel">is_oi_bottom_left_axes_in_pixel</a> 
<li><a href="xvin004.html#is_oi_bottom_left_axes_numbered">is_oi_bottom_left_axes_numbered</a> 
<li><a href="xvin004.html#is_oi_top_right_axes_in_pixel">is_oi_top_right_axes_in_pixel</a> 
<li><a href="xvin004.html#is_oi_top_right_axes_numbered">is_oi_top_right_axes_numbered</a> 
<li><a href="xvin004.html#is_oi_x_axes_same_as_plot">is_oi_x_axes_same_as_plot</a> 
<li><a href="xvin004.html#is_oi_y_axes_same_as_plot">is_oi_y_axes_same_as_plot</a> 
<li><a href="xvin002.html#is_plot_x_auto_range">is_plot_x_auto_range</a> 
<li><a href="xvin002.html#is_plot_x_log">is_plot_x_log</a> 
<li><a href="xvin002.html#is_plot_y_auto_range">is_plot_y_auto_range</a> 
<li><a href="xvin002.html#is_plot_y_log">is_plot_y_log</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_l1'><a href='#top'>l</a></h1>
<ul>
<li><a href="xvin003.html#least_square_fit_on_ds">least_square_fit_on_ds</a> 
<li><a href="xvin004.html#lint_line_ptr">lint_line_ptr</a> 
<li><a href="xvin003.html#load_cgr_file_in_pltreg">load_cgr_file_in_pltreg</a> 
<li><a href="xvin003.html#load_cgrfile_in_pltreg">load_cgrfile_in_pltreg</a> 
<li><a href="xvin004.html#load_im_file_in_imreg">load_im_file_in_imreg</a> 
<li><a href="xvin003.html#load_plt_file_in_pltreg">load_plt_file_in_pltreg</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_m1'><a href='#top'>m</a></h1>
<ul>
<li><a href="xvin003.html#make_box_active">make_box_active</a> 
<li><a href="xvin004.html#map_pixel_ratio_of_image_and_screen">map_pixel_ratio_of_image_and_screen</a> 
<li><a href="xvin004.html#mcomplex">mcomplex</a> 
<li><a href="xvin004.html#mdcomplex">mdcomplex</a> 
<li><a href="xvin004.html#mdcomplex get_cdbl_pixel(O_i *oi">mdcomplex get_cdbl_pixel(O_i *oi</a> &mdash;  int line, int col);
<li><a href="xvin001.html#modify_un_decade">modify_un_decade</a> 
<li><a href="xvin001.html#modify_units">modify_units</a> 
<li><a href="xvin001.html#modify_units_prime">modify_units_prime</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_n1'><a href='#top'>n</a></h1>
<ul>
<li><a href="xvin003.html#next_pr_db">next_pr_db</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_p1'><a href='#top'>p</a></h1>
<ul>
<li><a href="xvin000.html#p_l">p_l</a> 
<li><a href="xvin004.html#pix">pix</a> 
<li><a href="xvin003.html#plots_in_one_column">plots_in_one_column</a> 
<li><a href="xvin003.html#plots_in_three_columns">plots_in_three_columns</a> 
<li><a href="xvin003.html#plots_in_two_columns">plots_in_two_columns</a> 
<li><a href="xvin003.html#pltreg">pltreg</a> 
<li><a href="xvin003.html#prepare_all_plots">prepare_all_plots</a> 
<li><a href="xvin004.html#push_image_label">push_image_label</a> 
<li><a href="xvin002.html#push_plot_label">push_plot_label</a> 
<li><a href="xvin000.html#push_plot_label_in_ds">push_plot_label_in_ds</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_r1'><a href='#top'>r</a></h1>
<ul>
<li><a href="xvin004.html#refresh_im_plot">refresh_im_plot</a> 
<li><a href="xvin004.html#refresh_image">refresh_image</a> 
<li><a href="xvin003.html#refresh_plot">refresh_plot</a> 
<li><a href="xvin003.html#remove_data">remove_data</a> 
<li><a href="xvin002.html#remove_data_from_one_plot">remove_data_from_one_plot</a> 
<li><a href="xvin003.html#remove_data_from_pltreg">remove_data_from_pltreg</a> 
<li><a href="xvin003.html#remove_data_from_pltreg">remove_data_from_pltreg</a> 
<li><a href="xvin002.html#remove_ds_from_op">remove_ds_from_op</a> 
<li><a href="xvin002.html#remove_ds_n_from_op">remove_ds_n_from_op</a> 
<li><a href="xvin000.html#remove_from_data_set">remove_from_data_set</a> 
<li><a href="xvin004.html#remove_from_image">remove_from_image</a> 
<li><a href="xvin004.html#remove_from_one_image">remove_from_one_image</a> 
<li><a href="xvin004.html#remove_image">remove_image</a> 
<li><a href="xvin004.html#remove_one_image">remove_one_image</a> 
<li><a href="xvin002.html#remove_one_plot_data">remove_one_plot_data</a> 
<li><a href="xvin003.html#remove_plot">remove_plot</a> 
<li><a href="xvin000.html#remove_plot_label_from_ds">remove_plot_label_from_ds</a> 
<li><a href="xvin002.html#remove_plot_label_from_op">remove_plot_label_from_op</a> 
<li><a href="xvin000.html#remove_point_from_data_set">remove_point_from_data_set</a> 
<li><a href="xvin002.html#remove_x_unit_set_from_op">remove_x_unit_set_from_op</a> 
<li><a href="xvin002.html#remove_y_unit_set_from_op">remove_y_unit_set_from_op</a> 
<li><a href="xvin004.html#reset_full_over_plane">reset_full_over_plane</a> 
<li><a href="xvin004.html#rgb">rgb</a> 
<li><a href="xvin004.html#rgb_line_ptr">rgb_line_ptr</a> 
<li><a href="xvin004.html#rgba">rgba</a> 
<li><a href="xvin004.html#rgba_line_ptr">rgba_line_ptr</a> 
<li><a href="xvin003.html#run_pr_db">run_pr_db</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_s1'><a href='#top'>s</a></h1>
<ul>
<li><a href="xvin004.html#save_image_header">save_image_header</a> 
<li><a href="xvin004.html#save_one_image">save_one_image</a> 
<li><a href="xvin004.html#select_image_of_imreg">select_image_of_imreg</a> 
<li><a href="xvin004.html#select_image_of_imreg_and_display">select_image_of_imreg_and_display</a> 
<li><a href="xvin001.html#set_afine_param_for_unit_with_decade">set_afine_param_for_unit_with_decade</a> 
<li><a href="xvin000.html#set_ds_dash_line">set_ds_dash_line</a> 
<li><a href="xvin000.html#set_ds_dot_line">set_ds_dot_line</a> 
<li><a href="xvin000.html#set_ds_ending_time">set_ds_ending_time</a> 
<li><a href="xvin000.html#set_ds_history">set_ds_history</a> 
<li><a href="xvin000.html#set_ds_line_color">set_ds_line_color</a> 
<li><a href="xvin000.html#set_ds_plain_line">set_ds_plain_line</a> 
<li><a href="xvin000.html#set_ds_plot_label">set_ds_plot_label</a> 
<li><a href="xvin000.html#set_ds_point">set_ds_point</a> 
<li><a href="xvin000.html#set_ds_point_symbol">set_ds_point_symbol</a> 
<li><a href="xvin000.html#set_ds_source">set_ds_source</a> 
<li><a href="xvin000.html#set_ds_starting_time">set_ds_starting_time</a> 
<li><a href="xvin000.html#set_ds_treatement">set_ds_treatement</a> 
<li><a href="xvin000.html#set_ds_x_point">set_ds_x_point</a> 
<li><a href="xvin000.html#set_ds_y_point">set_ds_y_point</a> 
<li><a href="xvin004.html#set_im_title">set_im_title</a> 
<li><a href="xvin004.html#set_im_x_title">set_im_x_title</a> 
<li><a href="xvin004.html#set_im_x_top_title">set_im_x_top_title</a> 
<li><a href="xvin004.html#set_im_x_unit_set">set_im_x_unit_set</a> 
<li><a href="xvin004.html#set_im_y_right_title">set_im_y_right_title</a> 
<li><a href="xvin004.html#set_im_y_title">set_im_y_title</a> 
<li><a href="xvin004.html#set_im_y_unit_set">set_im_y_unit_set</a> 
<li><a href="xvin004.html#set_im_z_unit_set">set_im_z_unit_set</a> 
<li><a href="xvin004.html#set_image_ending_time">set_image_ending_time</a> 
<li><a href="xvin004.html#set_image_starting_time">set_image_starting_time</a> 
<li><a href="xvin004.html#set_oi_bottom_left_axes">set_oi_bottom_left_axes</a> 
<li><a href="xvin004.html#set_oi_filename">set_oi_filename</a> 
<li><a href="xvin004.html#set_oi_history">set_oi_history</a> 
<li><a href="xvin004.html#set_oi_horizontal_extend">set_oi_horizontal_extend</a> 
<li><a href="xvin004.html#set_oi_mode">set_oi_mode</a> 
<li><a href="xvin004.html#set_oi_not_periodic">set_oi_not_periodic</a> 
<li><a href="xvin004.html#set_oi_not_periodic_in_x">set_oi_not_periodic_in_x</a> 
<li><a href="xvin004.html#set_oi_not_periodic_in_y">set_oi_not_periodic_in_y</a> 
<li><a href="xvin004.html#set_oi_path">set_oi_path</a> 
<li><a href="xvin004.html#set_oi_periodic_in_x">set_oi_periodic_in_x</a> 
<li><a href="xvin004.html#set_oi_periodic_in_x_and_y">set_oi_periodic_in_x_and_y</a> 
<li><a href="xvin004.html#set_oi_periodic_in_y">set_oi_periodic_in_y</a> 
<li><a href="xvin004.html#set_oi_plot_axes">set_oi_plot_axes</a> 
<li><a href="xvin004.html#set_oi_region_of_interest_in_pixel">set_oi_region_of_interest_in_pixel</a> 
<li><a href="xvin004.html#set_oi_source">set_oi_source</a> 
<li><a href="xvin004.html#set_oi_top_right_axes">set_oi_top_right_axes</a> 
<li><a href="xvin004.html#set_oi_treatement">set_oi_treatement</a> 
<li><a href="xvin004.html#set_oi_vertical_extend">set_oi_vertical_extend</a> 
<li><a href="xvin004.html#set_oi_x_unit_set">set_oi_x_unit_set</a> 
<li><a href="xvin004.html#set_oi_y_unit_set">set_oi_y_unit_set</a> 
<li><a href="xvin004.html#set_oi_z_unit_set">set_oi_z_unit_set</a> 
<li><a href="xvin002.html#set_op_filename">set_op_filename</a> 
<li><a href="xvin002.html#set_op_height">set_op_height</a> 
<li><a href="xvin002.html#set_op_path">set_op_path</a> 
<li><a href="xvin002.html#set_op_plot_label">set_op_plot_label</a> 
<li><a href="xvin002.html#set_op_t_unit_set">set_op_t_unit_set</a> 
<li><a href="xvin002.html#set_op_width">set_op_width</a> 
<li><a href="xvin002.html#set_op_x_unit_set">set_op_x_unit_set</a> 
<li><a href="xvin002.html#set_op_y_unit_set">set_op_y_unit_set</a> 
<li><a href="xvin004.html#set_over">set_over</a> 
<li><a href="xvin000.html#set_pl_x">set_pl_x</a> 
<li><a href="xvin000.html#set_pl_y">set_pl_y</a> 
<li><a href="xvin002.html#set_plot_title">set_plot_title</a> 
<li><a href="xvin002.html#set_plot_x_auto_range">set_plot_x_auto_range</a> 
<li><a href="xvin002.html#set_plot_x_fixed_range">set_plot_x_fixed_range</a> 
<li><a href="xvin002.html#set_plot_x_lin">set_plot_x_lin</a> 
<li><a href="xvin002.html#set_plot_x_log">set_plot_x_log</a> 
<li><a href="xvin002.html#set_plot_x_prime_title">set_plot_x_prime_title</a> 
<li><a href="xvin002.html#set_plot_x_title">set_plot_x_title</a> 
<li><a href="xvin002.html#set_plot_y_auto_range">set_plot_y_auto_range</a> 
<li><a href="xvin002.html#set_plot_y_fixed_range">set_plot_y_fixed_range</a> 
<li><a href="xvin002.html#set_plot_y_lin">set_plot_y_lin</a> 
<li><a href="xvin002.html#set_plot_y_log">set_plot_y_log</a> 
<li><a href="xvin002.html#set_plot_y_prime_title">set_plot_y_prime_title</a> 
<li><a href="xvin002.html#set_plot_y_title">set_plot_y_title</a> 
<li><a href="xvin003.html#set_plt_x_unit_set">set_plt_x_unit_set</a> 
<li><a href="xvin003.html#set_plt_x_unit_set">set_plt_x_unit_set</a> 
<li><a href="xvin003.html#set_plt_y_unit_set">set_plt_y_unit_set</a> 
<li><a href="xvin003.html#set_plt_y_unit_set">set_plt_y_unit_set</a> 
<li><a href="xvin001.html#set_unit_axis">set_unit_axis</a> 
<li><a href="xvin001.html#set_unit_decade">set_unit_decade</a> 
<li><a href="xvin001.html#set_unit_increment">set_unit_increment</a> 
<li><a href="xvin001.html#set_unit_mode">set_unit_mode</a> 
<li><a href="xvin001.html#set_unit_name">set_unit_name</a> 
<li><a href="xvin001.html#set_unit_offset">set_unit_offset</a> 
<li><a href="xvin001.html#set_unit_sub_type">set_unit_sub_type</a> 
<li><a href="xvin001.html#set_unit_type">set_unit_type</a> 
<li><a href="xvin004.html#set_z_black_z_white_values">set_z_black_z_white_values</a> 
<li><a href="xvin004.html#set_zmin_zmax_values">set_zmin_zmax_values</a> 
<li><a href="xvin003.html#shift_horz">shift_horz</a> 
<li><a href="xvin003.html#shift_vert">shift_vert</a> 
<li><a href="xvin003.html#show_peak">show_peak</a> 
<li><a href="xvin004.html#sint_line_ptr">sint_line_ptr</a> 
<li><a href="xvin003.html#spit_box_to_ps">spit_box_to_ps</a> 
<li><a href="xvin004.html#swap_image">swap_image</a> 
<li><a href="xvin002.html#swap_x_y_in_plot">swap_x_y_in_plot</a> 
<li><a href="xvin004.html#switch_frame">switch_frame</a> 
<li><a href="xvin004.html#switch_frame_of_disk_movie">switch_frame_of_disk_movie</a> 
<li><a href="xvin002.html#switch_plot_data_set">switch_plot_data_set</a> 
<li><a href="xvin001.html#switch_un_dec">switch_un_dec</a> 
<li><a href="xvin001.html#switch_un_ty">switch_un_ty</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_u1'><a href='#top'>u</a></h1>
<ul>
<li><a href="xvin004.html#uchar_line_ptr">uchar_line_ptr</a> 
<li><a href="xvin004.html#uint_line_ptr">uint_line_ptr</a> 
<li><a href="xvin001.html#un_s">un_s</a> 
<li><a href="xvin001.html#unit_to_type">unit_to_type</a> 
<li><a href="xvin004.html#uns_oi_2_oi">uns_oi_2_oi</a> 
<li><a href="xvin004.html#uns_oi_2_oi_by_type">uns_oi_2_oi_by_type</a> 
<li><a href="xvin004.html#uns_oi_2_op">uns_oi_2_op</a> 
<li><a href="xvin004.html#uns_op_2_oi">uns_op_2_oi</a> 
<li><a href="xvin002.html#uns_op_2_op">uns_op_2_op</a> 
<li><a href="xvin002.html#uns_op_2_op_by_type">uns_op_2_op_by_type</a> 
<li><a href="xvin003.html#update_just_plot">update_just_plot</a> 
<li><a href="xvin003.html#update_plot_db">update_plot_db</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_w1'><a href='#top'>w</a></h1>
<ul>
<li><a href="xvin004.html#what_is_pixel_ratio_of_image_and_screen">what_is_pixel_ratio_of_image_and_screen</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_x1'><a href='#top'>x</a></h1>
<ul>
<li><a href="xvin004.html#x_imdata_2_imr">x_imdata_2_imr</a> 
<li><a href="xvin004.html#x_imr_2_im_user_data">x_imr_2_im_user_data</a> 
<li><a href="xvin004.html#x_imr_2_imdata">x_imr_2_imdata</a> 
<li><a href="xvin004.html#x_imr_2_pltdata">x_imr_2_pltdata</a> 
<li><a href="xvin004.html#x_pltdata_2_imr">x_pltdata_2_imr</a> 
<li><a href="xvin003.html#x_pltdata_2_pr">x_pltdata_2_pr</a> 
<li><a href="xvin003.html#x_pr_2_pltdata">x_pr_2_pltdata</a> 
<li><a href="xvin003.html#x_pr_2_pltdata_raw">x_pr_2_pltdata_raw</a> 
<li><a href="xvin000.html#xvin_main">xvin_main</a> 

</ul>
<h1 class='mini_toc' id='mini_toc_y1'><a href='#top'>y</a></h1>
<ul>
<li><a href="xvin004.html#y_imdata_2_imr">y_imdata_2_imr</a> 
<li><a href="xvin004.html#y_imr_2_im_user_data">y_imr_2_im_user_data</a> 
<li><a href="xvin004.html#y_imr_2_imdata">y_imr_2_imdata</a> 
<li><a href="xvin004.html#y_imr_2_pltdata">y_imr_2_pltdata</a> 
<li><a href="xvin004.html#y_pltdata_2_imr">y_pltdata_2_imr</a> 
<li><a href="xvin003.html#y_pltdata_2_pr">y_pltdata_2_pr</a> 
<li><a href="xvin003.html#y_pr_2_pltdata">y_pr_2_pltdata</a> 
<li><a href="xvin003.html#y_pr_2_pltdata_raw">y_pr_2_pltdata_raw</a> 
</ul>
<hr><div class="al-back-to-contents"><a href="xvin.html">Back to contents</a></div>

</body>
</html>
